package com.yeejoin.amos.supervision.business.param;

import com.yeejoin.amos.supervision.core.common.request.CommonPageable;

public class RoutePageParam extends CommonPageable{
	
	/**
	 * 路线编号
	 */
	private Long id;
	
	/**
	 * 路线名称
	 */
	private String name;
	
	/**
	 * 负责人
	 */
	private String boss;
	
	/**
	 * 负责人联系电话
	 */
	private String tel;
	
	/**
	 * 责任部门
	 */
	private String deptName;

	private String ownerId;

	public String getOwnerId() {
		return ownerId;
	}

	public void setOwnerId(String ownerId) {
		this.ownerId = ownerId;
	}

	private Long deptId;
	
	/**
	 * 责任人
	 */
	private String uname;
	
	/**
	 * 备注
	 */
	private String remark;

	/**
	 * 机构org code
	 */
	private String orgCode;
	
	/**
	 * 人员编号
	 */
	private String userId;
	
	public Long getId() {
		return id;
	}

	public void setId(Long routeNo) {
		this.id = routeNo;
	}

	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

	public String getBoss() {
		return boss;
	}

	public void setBoss(String boss) {
		this.boss = boss;
	}

	public String getTel() {
		return tel;
	}

	public void setTel(String tel) {
		this.tel = tel;
	}

	public String getDeptName() {
		return deptName;
	}

	public void setDeptName(String deptName) {
		this.deptName = deptName;
	}

	public String getUname() {
		return uname;
	}

	public void setUname(String uname) {
		this.uname = uname;
	}

	public String getRemark() {
		return remark;
	}

	public void setRemark(String remark) {
		this.remark = remark;
	}

	public String getOrgCode() {
		return orgCode;
	}

	public void setOrgCode(String orgCode) {
		this.orgCode = orgCode;
	}

	public String getUserId() {
		return userId;
	}

	public void setUserId(String userId) {
		this.userId = userId;
	}

	public Long getDeptId() {
		return deptId;
	}

	public void setDeptId(Long deptId) {
		this.deptId = deptId;
	}
}
